library floating_search_card;

import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

// ignore: must_be_immutable
class FloatingSearchCard extends StatelessWidget {
  Function onMenuTap = () => {};
  Function onProfileTap = () => {};
  TextEditingController searchController = new TextEditingController();
  String searchTitle;
  Widget profile;

  FloatingSearchCard(
      {this.onMenuTap,
      this.onProfileTap,
      this.searchController,
      this.searchTitle,
      this.profile});

  @override
  Widget build(BuildContext context) {
    if (searchTitle == null) searchTitle = 'Search...';
    if (profile == null)
      profile = CircleAvatar(
        radius: 20,
        backgroundColor: Colors.blue,
        child: Text('AZ'),
      );
    return Padding(
      padding: const EdgeInsets.all(8.0),
      child: Card(
        child: Container(
          height: 54.0,
          child: Row(
            children: <Widget>[
              Padding(
                padding: const EdgeInsets.only(left: 8.0),
                child: IconButton(
                  icon: Icon(Icons.menu),
                  onPressed: () {
                    onMenuTap();
                  },
                ),
              ),
              Expanded(
                child: TextField(
                  controller: searchController,
                  cursorColor: Colors.black,
                  keyboardType: TextInputType.text,
                  textInputAction: TextInputAction.go,
                  decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.symmetric(horizontal: 15),
                      hintText: searchTitle),
                ),
              ),
              Padding(
                padding: const EdgeInsets.only(right: 8.0),
                child: GestureDetector(
                    onTap: () {
                      onProfileTap();
                    },
                    child: profile),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
